<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script>
            // array unidimensional (vector)
            let listado = [444, 24, 3333, 4, 5];

            // mostrar el array
            console.log(listado);            

            // longitud del array
            console.log(listado.length);

            // leer primer elemento del array
            console.log(listado[0]);

            // leer ultimo elemento
            console.log(listado[4]);

            // introducir en el indice (=posicion) 1 un 67
            listado[1]=67;

            // le estás metiendo algo al siguiente elemento despues del ultimo
            // la longitud es 5
            // listado[5]=40;
                

            // para poder definir un array de longitud dada
            let listado2 = new Array(100);

            console.log(listado2);

            // array con texto
            let notas=["suspenso", "aprobado"];


            // array asociativos
            let alumno=["juan","dos", "58"];

            let alumnoJSON={
                "nombre": "juan",
                "apellido": "dos",
                "edad": "58"
            };

            console.log(alumno);

            console.log(alumnoJSON);

            // leer edad
            console.log(alumno[2]);
            console.log(alumnoJSON["edad"]);
            console.log(alumnoJSON.edad);


        </script>
    </body>
</html>
        
